# =========================================================================== #
# Gemspec for Project CaseParser.
# =========================================================================== #
require 'case_parser'

Gem::Specification.new { |s|

  s.name      = 'case_parser'
  s.version   = CaseParser::VERSION
  s.date      = Time.now.strftime('%Y-%m-%d')
  
  s.summary = <<-EOF

    It will try to parse a case/when menu from a given
    .rb file and then give back an Array of all entries
    found after the first occurance of when.

    If you have specific suggestions to make this gem more
    useful for others, please drop me an email at:

      shevegen@gmail.com

    Thank you.

  EOF
  
  s.description = <<-EOF

    This library is called case_parser.

    It will try to parse a case/when menu from a given
    .rb file and then give back an Array of all entries
    found after the first occurance of when.

  EOF

  s.extra_rdoc_files = %w()

  s.authors  = ['Robert A. Heiler']
  s.email    = 'shevegen@gmail.com'
  s.files    = Dir.glob('**/*')
  s.license  = 'GPL-2.0'
  s.homepage = 'http://rubygems.org/gems/case_parser'

  s.required_ruby_version     = '>= '+RUBY_VERSION
  s.required_rubygems_version = '>= '+Gem::VERSION
  s.rubygems_version          = '>= '+Gem::VERSION

  s.add_dependency 'colours'
  s.add_dependency 'opn'

}